---
title: "Assign a User ID To Purchase Order Roles"
slug: "assign-a-user-id-to-purchase-order-roles"
updated: 2026-05-26T12:48:31Z
published: 2026-05-26T12:48:45Z
canonical: "developers.cmicglobal.com/assign-a-user-id-to-purchase-order-roles"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign a User ID To Purchase Order Roles

Post/po-rest-api/rest/1/poRoles

**Assign a User ID To Purchase Order Roles**

**UI Location**: Asset Management - Purchase Order- Setup -Local Tables - Purchase Order Roles

postman-to-openapi

**Body Parameters** The POST request assigns User IDs to Purchase Order Roles (requesters, buyers, and approvers) based on the provided payload. The payload includes various fields, such as PorlCompCode, PorlUserID, PorlRequesterFlag, PorlBuyerFlag, PorlReceiverFlag and PorlDescription each representing different attributes of the users assigned tracking codes.

**Request Body**

| Field | Description | Data Type | Required | Example Value |
| --- | --- | --- | --- | --- |
| PorlCompCode | Company Code | string | True | ADAM1 |
| PorlUserID | User ID | string | True | ADAM1 |
| PorlRequesterFlag | Reqester Flag (Y/N) | string | False | Y |
| PorlBuyerFlag | Buyer Flag (Y/N) | string | False | Y |
| PorlReceiverFlag | Receiver Flag (Y/N) | string | False | Y |
| PorlDescription | Description | string | False | Buyer |

**Sample Response Body**

```json
{
    "items": [
        {
            "PorlCompCode": "",
            "PorlUserID": "",
            "PorlUserName": "",
            "PorlRequesterFlag": "",
            "PorlBuyerFlag": "",
            "PorlReceiverFlag": "",
            "PorlDescription": null,
            "PorlVUuid": "",
            "links": [
                {
                    "rel": "",
                    "href": "",
                    "name": "",
                    "kind": ""
                }
            ]
        }
    ]
}
```

SecurityHTTPType basic

Basic authentication

Header parametersContent-TypestringExampleapplication/vnd.oracle.adf.resourceItem+json

Body parameters<select class='api-response-data' aria-label='Media type'><option value='0d27a2dc-843f-49ef-b35b-f9c80ed8a222'>application/json</option>
</select>object  Example{
  "PorlCompCode": "ZZ",
  "PorlUserID": "IBRAHIM0033",
  "PorlRequesterFlag": "Y",
  "PorlBuyerFlag": "Y",
  "PorlReceiverFlag": "N",
  "PorlDescription": ""
}

Responses201

Created

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourceitem+json
<select class='api-response-data' aria-label='Media type'><option value='f0fd1d65-948d-426d-ae28-c62728f2cef3'>text/plain</option>
</select>

```
"{\n    \"PorlCompCode\": \"ZZ\",\n    \"PorlUserID\": \"IBRAHIM0033\",\n    \"PorlUserName\": \"IBRAHIM002\",\n    \"PorlRequesterFlag\": \"Y\",\n    \"PorlBuyerFlag\": \"Y\",\n    \"PorlReceiverFlag\": \"N\",\n    \"PorlDescription\": \"\",\n    \"PorlVUuid\": \"3C303D36645F67D8E0630B811DAC0E46\",\n    \"links\": [\n        {\n            \"rel\": \"self\",\n            \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/poRoles/3C303D36645F67D8E0630B811DAC0E46\",\n            \"name\": \"poRoles\",\n            \"kind\": \"item\"\n        },\n        {\n            \"rel\": \"canonical\",\n            \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/poRoles/3C303D36645F67D8E0630B811DAC0E46\",\n            \"name\": \"poRoles\",\n            \"kind\": \"item\"\n        }\n    ]\n}"
```

string
